Up

# STObjectReference class documentation

### Authors

Stefan Urbanek(`urbanek@host.sk` )

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STObjectReference class

## STObjectReference : NSObject

> Declared in:
>   StepTalk/STObjectReference.h

Description forthcoming.

Method summary

- -initWithObjectName:pool:
- -object
- -objectName
- -pool
- -setObject:
- -setObjectName:
- -setPool:

### initWithObjectName:pool:

- (id) initWithObjectName: (NSString*)name pool: (NSMutableDictionary*)aPool;

Description forthcoming.

### object

- (id) object;

Description forthcoming.

### objectName

- (NSString*) objectName;

Description forthcoming.

### pool

- (NSMutableDictionary*) pool;

Description forthcoming.

### setObject:

- (void) setObject: (id)anObject;

Description forthcoming.

### setObjectName:

- (void) setObjectName: (NSString*)newName;

Description forthcoming.

### setPool:

- (void) setPool: (NSMutableDictionary*)aDict;

Description forthcoming.

Up